#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghc-lib-parser
version:              8.10.5.20210606
visibility:           public
id:                   ghc-lib-parser-8.10.5.20210606-HUkayrq7LCAEFJubOOGvGe
key:                  ghc-lib-parser-8.10.5.20210606-HUkayrq7LCAEFJubOOGvGe
license:              BSD-3-Clause
maintainer:           Digital Asset
author:               The GHC Team and Digital Asset
homepage:             https://github.com/digital-asset/ghc-lib
synopsis:             The GHC API, decoupled from GHC versions
description:
    A package equivalent to the @ghc@ package, but which can be loaded on many compiler versions.

category:             Development
abi:                  be0c07879f54f7d9bab699447dae5716
exposed-modules:
    Annotations ApiAnnotation Avail Bag BasicTypes BinFingerprint
    Binary BkpSyn BooleanFormula BufWrite ByteCodeTypes Class CliOption
    CmdLineParser CmmType CoAxiom Coercion ConLike Config Constants
    Constraint CoreArity CoreFVs CoreMap CoreMonad CoreOpt CoreSeq
    CoreStats CoreSubst CoreSyn CoreTidy CoreUnfold CoreUtils
    CostCentre CostCentreState Ctype DataCon Demand Digraph
    DriverPhases DynFlags Encoding EnumSet ErrUtils Exception FV
    FamInstEnv FastFunctions FastMutInt FastString FastStringEnv
    FieldLabel FileCleanup FileSettings Fingerprint FiniteMap
    ForeignCall GHC.BaseDir GHC.Exts.Heap GHC.Exts.Heap.ClosureTypes
    GHC.Exts.Heap.Closures GHC.Exts.Heap.Constants
    GHC.Exts.Heap.InfoTable GHC.Exts.Heap.InfoTable.Types
    GHC.Exts.Heap.InfoTableProf GHC.Exts.Heap.Utils GHC.ForeignSrcLang
    GHC.ForeignSrcLang.Type GHC.Hs GHC.Hs.Binds GHC.Hs.Decls GHC.Hs.Doc
    GHC.Hs.Dump GHC.Hs.Expr GHC.Hs.Extension GHC.Hs.ImpExp
    GHC.Hs.Instances GHC.Hs.Lit GHC.Hs.Pat GHC.Hs.PlaceHolder
    GHC.Hs.Types GHC.Hs.Utils GHC.HsToCore.PmCheck.Types
    GHC.LanguageExtensions GHC.LanguageExtensions.Type GHC.Lexeme
    GHC.PackageDb GHC.Platform GHC.Serialized GHC.UniqueSubdir
    GHC.Version GHCi.BreakArray GHCi.FFI GHCi.Message GHCi.RemoteTypes
    GHCi.TH.Binary GhcMonad GhcNameVersion GhcPrelude HaddockUtils
    HeaderInfo Hooks HscTypes IOEnv Id IdInfo IfaceSyn IfaceType
    InstEnv InteractiveEvalTypes Json KnownUniques Language.Haskell.TH
    Language.Haskell.TH.LanguageExtensions Language.Haskell.TH.Lib
    Language.Haskell.TH.Lib.Internal Language.Haskell.TH.Lib.Map
    Language.Haskell.TH.Ppr Language.Haskell.TH.PprLib
    Language.Haskell.TH.Syntax Lexeme Lexer LinkerTypes ListSetOps
    Literal Maybes MkCore MkId Module MonadUtils Name NameCache NameEnv
    NameSet OccName OccurAnal OptCoercion OrdList Outputable
    PackageConfig Packages Pair Panic Parser PatSyn PipelineMonad
    PlainPanic PlatformConstants Plugins PprColour PprCore Predicate
    PrelNames PrelRules Pretty PrimOp RdrHsSyn RdrName RepType Rules
    Settings SizedSeq SrcLoc StringBuffer SysTools.BaseDir
    SysTools.Terminal TcEvidence TcHoleFitTypes TcOrigin TcRnTypes
    TcType ToIface ToolSettings TrieMap TyCoFVs TyCoPpr TyCoRep
    TyCoSubst TyCoTidy TyCon Type TysPrim TysWiredIn Unify UniqDFM
    UniqDSet UniqFM UniqSet UniqSupply Unique Util Var VarEnv VarSet

import-dirs:
    /usr/lib/ghc-8.10.5/site-local/ghc-lib-parser-8.10.5.20210606

library-dirs:
    /usr/lib/ghc-8.10.5/site-local/ghc-lib-parser-8.10.5.20210606

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/i386-linux-ghc-8.10.5/ghc-lib-parser-8.10.5.20210606

hs-libraries:         HSghc-lib-parser-8.10.5.20210606-HUkayrq7LCAEFJubOOGvGe
depends:
    array-0.5.4.0 base-4.14.2.0 binary-0.8.8.0 bytestring-0.10.12.0
    containers-0.6.4.1 deepseq-1.4.4.0 directory-1.3.6.0
    filepath-1.4.2.1 ghc-prim-0.6.1 hpc-0.6.1.0 pretty-1.1.3.6
    process-1.6.9.0 time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2

haddock-interfaces:
    /usr/share/doc/haskell-ghc-lib-parser/html/ghc-lib-parser.haddock

haddock-html:         /usr/share/doc/haskell-ghc-lib-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

